/**
 * Store.js - global app state.
 *
 * Part of the basebox sample TODO app.
 * https://basebox.tech
 */
import { reactive } from 'vue'
import { ref } from "vue";

export const store = reactive({

  /** true if a user is currently logged in */
  loggedIn: ref(false),

  /** Username of the currently logged-in user */
  userName: ref("stranger"),

  /** The host that runs basebox and waits for GraphQL requests */
  baseboxHost: "http://127.0.0.1:8080",
})
